source /etc/vimrc

"autocmd BufReadPost *
"  \ if line("'\"") > 0 && line ("'\"") <= line("$") |
"  \   exe "normal! g'\"" |
"  \ endif

set modeline
set nowrap
set sidescroll=1
set scrolloff=3
set nobackup
set mouse=
set completeopt-=preview
set nofoldenable
set spellcapcheck=0
set sw=2
set ts=2
set et

set smartcase
set nohlsearch

let g:c_syntax_for_h = 1

autocmd FileType c,cpp set cindent
autocmd FileType c,cpp set cinoptions=:0,l0,t0,g0,(0
autocmd FileType c setlocal ts=8 sw=8 noet
autocmd FileType python setlocal ts=4 sw=4 et
autocmd FileType asciidoctor setlocal wrap lbr iskeyword+=-
"autocmd FileType vue,javascript,typescript set completeopt=menu,menuone,noinsert,fuzzy
autocmd FileType lua setlocal ts=2 sw=2 et

autocmd BufNewFile,BufRead *.pio setfiletype pioasm
autocmd BufRead,BufNewFile */templates/*.html set filetype=htmldjango

if has('nvim')
  exec 'source' expand('~/.config/nvim/nvim.vim')
  "source nvim.vim
endif
